Skip to main content
Reliable Services/VM Scheduling Policy Interfaces
POSTVM Scheduling Policy InterfacesSince 4.6.0SynchronousAuth Required

Create Host Scheduling Group

Create Host Scheduling Group

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      Resource name

    • descriptionString

      Detailed description of the resource

    • zoneUuidStringRequired

      Data Center UUID

    • clusterUuidStringRequired

      Cluster UUID

    • resourceUuidString

      Resource UUID

    • tagUuidsList

      Tag UUID list

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists

  • inventoryAffinityGroupInventoryRequired

    For details, see inventory

    • uuidStringRequired

      UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • zoneUuidStringRequired

      Data Center UUID

    • clusterUuidStringRequired

      Cluster UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

POST/zstack/v1/hostSchedulingRuleGroup

/zstack/v1/hostSchedulingRuleGroup

Operation ID

CreateHostSchedulingRuleGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hostSchedulingRuleGroup' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "test", "description": "test desc", "zoneUuid": "1eca7fc3081a3750b55930b194d82991", "clusterUuid": "e73c4aa3e6a03ee3bb4f325ab3b395b1" } }

Change History

This API has no change history records yet.

View all change history